%define module  Term-Prompt
%define name    perl-%{module}
%define version 1.04
%define release %mkrel 3

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Perl extension for prompting a user for information
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Term/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
Buildrequires:  perl(Term::ReadKey)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
A Perl module for prompting a user for information.

%prep
%setup -q -n %{module}-%{version} 
chmod 644 Changes README lib/Term/Prompt.pm
perl -pi -e 's/\r\n$/\n/;'  Changes README lib/Term/Prompt.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Term
%{_mandir}/*/*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.04-3mdv2009.0
+ Revision: 241961
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2008.0
+ Revision: 48613
- update to new version 1.04


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-5mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.03-4mdk
- Fix SPEC according to Perl Policy
    - BuildRequires
    - Source URL

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-3mdk
- spec cleanup
- fix directory ownership

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.03-2mdk
- Fix url/Source
- mkrel
- Fix BuildRequires

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-1mdk
- 1.03
- new (terse) description

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.01-1mdk
- 1.01
- fix perms

